commit:     3dc82838fdb731a9296972ad13d23fb80c9b858a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 10 13:48:06 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Apr 10 13:48:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dc82838

app-text/libstaroffice: 0.0.7 version bump

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 app-text/libstaroffice/Manifest                   |  1 +
 app-text/libstaroffice/libstaroffice-0.0.7.ebuild | 48 +++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-text/libstaroffice/Manifest b/app-text/libstaroffice/Manifest
index e3a393cb4e8..ba3743e73fd 100644
--- a/app-text/libstaroffice/Manifest
+++ b/app-text/libstaroffice/Manifest
@@ -1 +1,2 @@
 DIST libstaroffice-0.0.6.tar.xz 706324 BLAKE2B 
5ff692c85bb48a7cd4c1e05e0afcc3ab26d627254dcf0b4ba10314c6ec654d69e2910f031ec7b88c9d28c48fe6a7267cd2434d224dc980ad9e266273cbc65bfa
 SHA512 
9b5313a069e29265875f2e744b6b39c261f578d72f67fdefe1454c092aaa28399e1b3dfcb3a2f881f9a60674e0115a29350fba3ee37fb442f0a837982077f324
+DIST libstaroffice-0.0.7.tar.xz 707920 BLAKE2B 
f06786f600414a086f9b08b413ef1e028b15070ce90b4be03b18dd69787f4812b4ecbc245381e0ed464fabe0c1147149a3c4df248181b236e5d8bb766b398985
 SHA512 
fae873457a8018c1613667aa92771981503585513ab01bdbd2dd6d506ed4f72a7a8fdcfcb8953a46dfcb8fd902d2c9ef8ccd1a5ff15c83990a89847fb98009f8

diff --git a/app-text/libstaroffice/libstaroffice-0.0.7.ebuild 
b/app-text/libstaroffice/libstaroffice-0.0.7.ebuild
new file mode 100644
index 00000000000..e56e6857509
--- /dev/null
+++ b/app-text/libstaroffice/libstaroffice-0.0.7.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999* ]]; then
+       EGIT_REPO_URI="https://github.com/fosnola/libstaroffice.git";
+       inherit git-r3 autotools
+else
+       
SRC_URI="https://github.com/fosnola/${PN}/releases/download/${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Import filter for old StarOffice documents"
+HOMEPAGE="https://github.com/fosnola/libstaroffice";
+
+LICENSE="|| ( LGPL-2.1+ MPL-2.0 )"
+SLOT="0"
+IUSE="debug doc tools +zlib"
+
+BDEPEND="
+       doc? ( app-doc/doxygen )
+"
+DEPEND="
+       dev-libs/librevenge
+       zlib? ( sys-libs/zlib )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       [[ ${PV} == *9999* ]] && eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable debug)
+               $(use_with doc docs)
+               $(use_enable tools)
+               $(use_enable zlib zip)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -type f -delete || die
+}

Reply via email to